# List all the resources for an AutoStopping Rule

Lists all the resources for an AutoStopping Rule for the given identifier.

Endpoint: GET /gateway/lw/api/accounts/{account_id}/autostopping/rules/{rule_id}/resources
Version: 1.0
Security: x-api-key

## Path parameters:

  - `account_id` (string, required)
    Account Identifier for the Entity
    Example: "abc12_DEFgh-ijkLMNOPqr"

  - `rule_id` (number, required)
    Unique identifier of the AutoStopping Rule for which you need to list the resources
    Example: 12345

## Query parameters:

  - `cloud_account_id` (string, required)
    Unique identifier of the cloud connector (AWS, Azure, or GCP) configured in Harness.
    Example: "lightwing_nonprod"

  - `region` (string, required)
    Cloud provider region where the resources are located (e.g., 'us-east-1' for AWS, 'eastus' for Azure).
    Example: "us-east-1"

  - `accountIdentifier` (string, required)
    Account Identifier for authentication and authorization.
    Example: "abc12_DEFgh-ijkLMNOPqr"

## Response 200 fields (application/json):

  - `response` (array)

  - `response.id` (string)

  - `response.name` (string)

  - `response.region` (string)

  - `response.availability_zone` (string)

  - `response.status` (string)

  - `response.type` (string)

  - `response.launch_time` (string)

  - `response.ipv4` (array)

  - `response.private_ipv4` (array)

  - `response.tags` (object)
    tag key as attribute key and tag value as attribute value

  - `response.resource_type` (string)

  - `response.provider_name` (string)

  - `response.is_spot` (boolean)

  - `response.platform` (string)

  - `response.cloud_account_id` (number)

  - `response.metadata` (object)

  - `response.provider_type` (string)


## Response 400 fields
